NarrowMaxMin.MaxOccurs (xmlbeans API)

org.apache.xmlbeans.impl.xb.xsdschema

## Interface NarrowMaxMin.MaxOccurs

- All Superinterfaces:
    AllNNI, XmlAnySimpleType, XmlObject, XmlTokenSource
  All Known Implementing Classes:
    NarrowMaxMinImpl.MaxOccursImpl
  Enclosing interface:
    NarrowMaxMin

      public static interface NarrowMaxMin.MaxOccurs
      extends AllNNI

  An XML maxOccurs(@). This is a union type. Instances are of one of the following types: org.apache.xmlbeans.XmlNonNegativeInteger org.apache.xmlbeans.impl.xb.xsdschema.AllNNI$Member

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.AllNNI

      `AllNNI.Member`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ElementFactory<NarrowMaxMin.MaxOccurs>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getObjectValue()`
    `SchemaType` | `instanceType()`
    `void` | `setObjectValue(Object val)`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final ElementFactory<NarrowMaxMin.MaxOccurs> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getObjectValue

          Object getObjectValue()

      Specified by:
        `getObjectValue` in interface `AllNNI`

    - #### setObjectValue

          void setObjectValue(Object val)

      Specified by:
        `setObjectValue` in interface `AllNNI`

    - #### instanceType

          SchemaType instanceType()

      Specified by:
        `instanceType` in interface `AllNNI`